Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004082TestLinkAPI - XMLRPCpublic2010-12-07 14:522011-01-22 15:11
Reportertom1 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version10.04
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004082: Missing check of overwrite parameter in function reportTCResult (xmlrpc.class.php)
DescriptionThere is only a check if the overwrite parameter is set or not. No check for true or false is implemented. I.e. if you call this function with the overwrite parameter, your results will be overwritten anyway.

See also discussion in forum topic:
http://www.teamst.org/forum/viewtopic.php?f=10&t=3672&start=0&sid=26c43e44fb96e2fb58201204bdc64080 [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql 5.1.41
BrowserFirefox
PHP Version5.3.2
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-4082-4086.zip [^] (74,008 bytes) 2010-12-12 09:19

- Relationships
has duplicate 0004086closedfman Unexpected result when overwriting reportTCResult 
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0012892)
fman (administrator)
2010-12-07 16:49

>> I.e. if you call this function with the overwrite parameter, your results will >> be overwritten anyway.
what value have you assigned to overwrite paramater in your call ?
(0012899)
tom1 (reporter)
2010-12-08 06:33

I tried "true", "false" and "null".
(0012901)
fman (administrator)
2010-12-08 09:03

quick & dirty fix -> do not pass overwrite when yo do not want overwride
(0012902)
fman (administrator)
2010-12-08 09:07

Look for this line
if($this->_isParamPresent(self::$overwriteParamName))


and change to
if($this->_isParamPresent(self::$overwriteParamName) &&
$this->args[self::$overwriteParamName] )

please give feedback
(0012915)
tom1 (reporter)
2010-12-08 12:20

The fix works fine!
(0012948)
fman (administrator)
2010-12-12 09:20

Found another issue - see related issue - apply NEW FIX
(0013393)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2010-12-07 14:52 tom1 New Issue
2010-12-07 16:49 fman Note Added: 0012892
2010-12-08 06:33 tom1 Note Added: 0012899
2010-12-08 09:03 fman Note Added: 0012901
2010-12-08 09:07 fman Note Added: 0012902
2010-12-08 09:17 fman Assigned To => fman
2010-12-08 09:17 fman Status new => feedback
2010-12-08 09:21 fman Relationship added child of 0004039
2010-12-08 09:22 fman File Added: fix-4082.zip
2010-12-08 12:20 tom1 Note Added: 0012915
2010-12-08 12:20 tom1 Status feedback => assigned
2010-12-08 13:39 fman Status assigned => resolved
2010-12-08 13:39 fman Fixed in Version => 1.9.1 (bug fixing)
2010-12-08 13:39 fman Resolution open => fixed
2010-12-12 08:26 fman Relationship added has duplicate 0004086
2010-12-12 09:19 fman File Deleted: fix-4082.zip
2010-12-12 09:19 fman File Added: fix-4082-4086.zip
2010-12-12 09:20 fman Note Added: 0012948
2010-12-12 09:20 fman Status resolved => new
2010-12-12 19:23 fman Status new => resolved
2011-01-22 15:11 fman Note Added: 0013393
2011-01-22 15:11 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker